CONTOUR_CREATE_FROM_IARRAY(3)

EXPERIMENTAL_FUNC
contour_create_from_iarray - Create a contour image from an Intelligent Array.

SYNOPSIS
#include <karma_contour.h>

KContourImage contour_create_from_iarray

(iarray array, flag swap, KContourImageGroup group)

DESCRIPTION
This routine will create a contour image object from a 2-dimensional Intelligent Array. At a later time, this contour image may be used to create a viewable contour image.

array
    The Intelligent Array. The underlying <<multi_array>> data structure will have its attachment count incremented upon successful completion.

swap
    If TRUE the y axis will be displayed horizontally.

group
    The KContourImageGroup to add the new object too. If NULL, it is not added to any group.

RETURN VALUE
A KContourImage object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/